SDL_FRect Struct Reference

`#include <SDL_rect.h>`

## Data Fields

float | x
float | y
float | w
float | h

## Detailed Description

A rectangle, with the origin at the upper left (floating point).

See also
  SDL_FRectEmpty
  SDL_FRectEquals
  SDL_FRectEqualsEpsilon
  SDL_HasIntersectionF
  SDL_IntersectFRect
  SDL_IntersectFRectAndLine
  SDL_UnionFRect
  SDL_EncloseFPoints
  SDL_PointInFRect

Definition at line 98 of file SDL_rect.h.

## Field Documentation

## h

float SDL_FRect::h

Definition at line 103 of file SDL_rect.h.

Referenced by SDL_FRectEmpty(), SDL_FRectEqualsEpsilon(), and SDL_PointInFRect().

## w

float SDL_FRect::w

Definition at line 102 of file SDL_rect.h.

Referenced by SDL_FRectEmpty(), SDL_FRectEqualsEpsilon(), and SDL_PointInFRect().

## x

float SDL_FRect::x

Definition at line 100 of file SDL_rect.h.

Referenced by SDL_FRectEqualsEpsilon(), and SDL_PointInFRect().

## y

float SDL_FRect::y

Definition at line 101 of file SDL_rect.h.

Referenced by SDL_FRectEqualsEpsilon(), and SDL_PointInFRect().

The documentation for this struct was generated from the following file:

- SDL_rect.h